.blog-page{
    margin: 0;
    padding: 32px 0 32px;
}

.blog-page__item{
    margin: 0;
    padding: 0;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 12px;
    position: relative;
}

.blog-page__item-header{
    margin: 0;
    padding: 0;
    color: var(--grey-2, #AFB1B4);
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 12px */
    text-transform: uppercase;
}

.blog-page__item-image{
    position: relative;
    height: 256px;
}

.blog-page__item-image img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.blog-page__item-image__text{
    position: absolute;
    bottom: 6px;
    left: 6px;
    color: var(--black);
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
    padding: 4px 8px;
    background: var(--white, #ffffff);
    margin: 0;
}


.blog-page__item-image__share{
    position: absolute;
    right: 0;
    top: 0;
}

.blog-page__item-title{
    color: var(--black, #202124);
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 30px; /* 150% */
    text-decoration: none;
}

.blog-page__item-description{
    color: var(--black, #202124);
    font-feature-settings: 'liga' off, 'clig' off;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%; /* 25.6px */
}

.blog-page__item-description p{
    margin: 0 0 16px;
}

.blog-page__item-description p:nth-last-child(1){
    margin: 0;
}

.button-blog{
    width: 100%;
}

.blog-empty{
    display: none;
}

.blog-page{
    display: grid;
    grid-template-columns: 100%;
    row-gap: 64px;
    column-gap: 64px;
}

.blog-page__buttons{
    padding-bottom: 64px;
}

.h1.blog-page__h1{
    font-size: 20px;
    margin: 12px 0;
    padding: 0;
}

@media (min-width: 564px) {
    .blog-page{
        display: grid;
        grid-template-columns: repeat(2, calc(50% - 8px));
        row-gap: 64px;
        column-gap: 16px;
    }
}

@media (min-width: 64rem) {
    .blog-empty{
        display: block;
    }

    .blog-page, .blog-page__buttons{
        display: grid;
        grid-template-columns: 26% calc(48% - 128px) 26%;
        row-gap: 0;
        column-gap: 64px;
        padding: 0;
        margin: 0;
    }

    .blog-page__item{
        padding: 44px 18px;
    }

    .blog-page__btn{
        position: relative;
        padding: 32px 0 64px;
    }


    .blog-page .blog-page__item:nth-child(3n+2):before, .blog-page__btn:before{
        content: '';
        position: absolute;
        left: -32px;
        top: 0;
        bottom: 0;
        border: 1px solid var(--grey-1, #D7D8DA);
    }

    .blog-page .blog-page__item:nth-child(3n+2):after, .blog-page__btn:after{
        content: '';
        position: absolute;
        right: -32px;
        top: 0;
        bottom: 0;
        border: 1px solid var(--grey-1, #D7D8DA);
    }

    .blog-page__item-header{
        color: var(--primary);
    }
}
